TikTok Shop

Facts for vetting up to 50 sample applicants: the application, marketplace facts and history with the shop

GET/api/public/v1/tik_tok_shop/samples/vetting
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id getTikTokShopSampleVetting

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/samples/vetting?applicationIds=string" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
applicationIdsqueryarrayrequired
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
itemsarray of object
items[].[].applicationobject
items[].[].application.currentStatestring, nullable
items[].[].application.firstSeenAtstring (date-time)
items[].[].application.productsarray of object
items[].[].application.products[].[].currentStatestring
items[].[].application.products[].[].nativeStatusstring, nullable
items[].[].application.products[].[].productIdstring, nullable
items[].[].application.products[].[].productTitlestring, nullable
items[].[].application.products[].[].stateTimestampsobject
items[].[].applicationIdstringrequired
items[].[].creatorIdstring
items[].[].creatorUsernamestring, nullable
items[].[].factsobject, nullable
items[].[].facts.categoriesarray of string
items[].[].facts.contentCountnumber, nullable
items[].[].facts.enrichedAtstring (date-time), nullable
items[].[].facts.followerCountnumber, nullable
items[].[].facts.fulfillmentRatenumber, nullable
items[].[].facts.gmv30dAmountstring, nullable
items[].[].facts.gmv30dCurrencystring, nullable
items[].[].facts.medianVideoViewsnumber, nullable
items[].[].facts.ppsstring, nullable
items[].[].facts.unitsSoldnumber, nullable
items[].[].foundbooleanrequired
items[].[].historyobject
items[].[].history.byStateobject
items[].[].history.contentFulfilledinteger
items[].[].history.firstRequestSeenAtstring (date-time), nullable
items[].[].history.gmvobject, nullable
items[].[].history.gmv.amountstring, nullable
items[].[].history.gmv.currencystring, nullable
items[].[].history.gmv.ordersinteger
items[].[].history.lastRequestSeenAtstring (date-time), nullable
items[].[].history.postedRatenumber, nullable
items[].[].history.requestsinteger
items[].[].history.shippedinteger
items[].[].history.videosPostedinteger

Example

{
  "items": [
    {
      "application": {
        "currentState": "string",
        "firstSeenAt": "2026-11-01T15:04:05Z",
        "products": [
          {
            "currentState": null,
            "nativeStatus": null,
            "productId": null,
            "productTitle": null,
            "stateTimestamps": null
          }
        ]
      },
      "applicationId": "string",
      "creatorId": "string",
      "creatorUsername": "Example name",
      "facts": {
        "categories": [
          "string"
        ],
        "contentCount": 125.5,
        "enrichedAt": "2026-11-01T15:04:05Z",
        "followerCount": 125.5,
        "fulfillmentRate": 0.15,
        "gmv30dAmount": "string",
        "gmv30dCurrency": "string",
        "medianVideoViews": 125.5,
        "pps": "string",
        "unitsSold": 125.5
      },
      "found": true,
      "history": {
        "byState": {},
        "contentFulfilled": 3,
        "firstRequestSeenAt": "2026-11-01T15:04:05Z",
        "gmv": {
          "amount": "string",
          "currency": "usd",
          "orders": 3
        },
        "lastRequestSeenAt": "2026-11-01T15:04:05Z",
        "postedRate": 0.15,
        "requests": 3,
        "shipped": 3,
        "videosPosted": 3
      }
    }
  ]
}

Errors: 400401404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.